<p align="center"><a href="http://neard.io" target="_blank"><img width="100" src="http://neard.io/img/logo.png"></a></p>

<p align="center">
  <a href="http://neard.io/release/latest"><img src="https://img.shields.io/github/release/crazy-max/neard.svg?style=flat-square" alt="GitHub release"></a>
  <a href="http://neard.io/releases"><img src="https://img.shields.io/github/downloads/crazy-max/neard/total.svg?style=flat-square" alt="Total downloads"></a>
  <a href="https://ci.appveyor.com/project/crazy-max/neard"><img src="https://img.shields.io/appveyor/ci/crazy-max/neard.svg?style=flat-square" alt="AppVeyor"></a>
  <a href="https://www.codacy.com/app/crazy-max/neard"><img src="https://img.shields.io/codacy/grade/75278913a45643ab871b87283963b3c5.svg?style=flat-square" alt="Code Quality"></a>
  <a href="https://www.paypal.com/cgi-bin/webscr?cmd=_s-xclick&hosted_button_id=6EALX9NDSRBAJ"><img src="https://img.shields.io/badge/donate-paypal-blue.svg?style=flat-square" alt="Donate Paypal"></a>
  <a href="https://flattr.com/submit/auto?user_id=crazymax&url=http://neard.io"><img src="https://img.shields.io/badge/flattr-this-green.svg?style=flat-square" alt="Flattr this!"></a>
</p>

## About

**Neard** is a portable WAMP software stack involving useful binaries, tools and applications for your web development.<br />
For those who wish to contribute, have an issue or questions, read the [Documentation](http://neard.io/doc).<br />

![](http://neard.io/img/screenshots/menu1.png)  ![](http://neard.io/img/screenshots/menu2.png)  ![](http://neard.io/img/screenshots/menu-tools2.png)

It also offers several versions of the various [modules](http://neard.io/modules) for download on the [official website](http://neard.io) and many other features.

### Binaries

* [Apache](http://neard.io/modules/apache) : the world's most used web server software.
* [Filezilla](http://neard.io/modules/filezilla) : a FTP server application.
* [MailHog](http://neard.io/modules/mailhog) : a Web and API based SMTP testing.
* [MariaDB](http://neard.io/modules/mariadb) : a community-developed fork of the MySQL relational database management system.
* [MongoDB](http://neard.io/modules/mongodb) : a free and open-source cross-platform document-oriented database program.
* [Memcached](http://neard.io/modules/memcached) : a distributed memory object caching system.
* [MySQL](http://neard.io/modules/mysql) : an open-source relational database management system.
* [Node.js](http://neard.io/modules/nodejs) : an open-source, cross-platform runtime environment for developing server-side web applications.
* [PHP](http://neard.io/modules/php) : a server-side scripting language designed for web development including PEAR and extra extensions.
* [PostgreSQL](http://neard.io/modules/postgresql) : an object-relational database management system (ORDBMS) with an emphasis on extensibility and standards-compliance.
* [SVN](http://neard.io/modules/svn) : a software versioning and revision control system.

### Applications

* [Adminer](http://neard.io/modules/adminer) : a full-featured database management tool written in PHP.
* [GitList](http://neard.io/modules/gitlist) : an elegant and modern git repository viewer.
* [phpMemAdmin](http://neard.io/modules/phpmemadmin) : to handle the administration of Memcached over the web.
* [phpMyAdmin](http://neard.io/modules/phpmyadmin) : to handle the administration of MySQL and MariaDB over the Web.
* [phpPgAdmin](http://neard.io/modules/phppgadmin) : a web-based administration tool for PostgreSQL.
* [Webgrind](http://neard.io/modules/webgrind) : the Xdebug Profiling Web Frontend in PHP.
* [WebSVN](http://neard.io/modules/websvn) : an Online subversion repository browser.

### Tools

* [Composer](http://neard.io/modules/composer) : a dependency manager for PHP.
* [Console](http://neard.io/modules/console) : a multi command prompt with TCC/LE and ANSICON.
* [Drush](http://neard.io/modules/drush) : a command line shell and scripting interface for Drupal.
* [Ghostscript](http://neard.io/modules/ghostscript) : an interpreter for the PostScript language and for PDF.
* [Git](http://neard.io/modules/git) : a widely used version control system for software development.
* [HostsEditor](http://neard.io/modules/hostseditor) : a small application for editing windows Hosts file.
* [Perl](http://neard.io/modules/perl) : a family of high-level, general-purpose, interpreted, dynamic programming languages.
* [PhpMetrics](http://neard.io/modules/phpmetrics) : gives metrics about PHP project and classes.
* [PHPUnit](http://neard.io/modules/phpunit) : a programmer-oriented testing framework for PHP.
* [Python](http://neard.io/modules/python) : a widely used high-level, general-purpose, interpreted, dynamic programming language.
* [Ruby](http://neard.io/modules/ruby) : a dynamic, reflective, object-oriented, general-purpose programming language.
* [WP-CLI](http://neard.io/modules/wpcli) : a command line interface for WordPress.
* [XDebugClient](http://neard.io/modules/xdc) : a simple frontend for XDebug.
* [Yarn](http://neard.io/modules/yarn) : a fast, reliable, and secure dependency management.

## Documentation

* [Get started](http://neard.io/doc/get-started)
* [Screenshots](http://neard.io/doc/screenshots)
* [FAQ](http://neard.io/doc/faq)
* [Changelog](http://neard.io/doc/changelog)
* [Upgrade notes](http://neard.io/doc/upgrade-notes)
* [Reporting an issue](http://neard.io/doc/reporting-issue)
* [Contribute](http://neard.io/doc/contribute)
* [Translations](http://neard.io/doc/translations)

## How can i help ?

**Neard** is a free and open source software and always will be.<br />
We welcome all kinds of contributions :raised_hands:!<br />
The most basic way to show your support is to star :star2: the project, or to raise issues :speech_balloon:<br />
Any funds donated will be used to help further development on this project! :gift_heart:

<p>
  <a href="https://www.paypal.com/cgi-bin/webscr?cmd=_s-xclick&hosted_button_id=6EALX9NDSRBAJ">
    <img src="http://neard.io/img/paypal.png" alt="Donate Paypal">
  </a>
  <a href="https://flattr.com/submit/auto?user_id=crazymax&url=http://neard.io">
    <img src="http://neard.io/img/flattr.png" alt="Flattr this!">
  </a>
</p>

## Sponsors

**Neard** is generously supported by some companies with licenses and free accounts for their products.

### JetBrains

![](http://neard.io/img/sponsors/jetbrains.png)

[JetBrains](https://www.jetbrains.com/) supports our open source project by sponsoring some [All Products Packs](https://www.jetbrains.com/products.html) within their [Free Open Source License](https://www.jetbrains.com/buy/opensource/) program.

## License

LGPL-3.0. See `LICENSE` for more details.<br />
Icon credit to [David Vignoni](http://www.icon-king.com/).
